@echo off
	avr-gcc -Os -g -Wall -mmcu=attiny2313 -o bin.elf %1
	if ERRORLEVEL 1 goto ERROR
	avr-size -x bin.elf		>list.txt
	avr-objdump -S bin.elf	>>list.txt
	avr-objcopy -O ihex bin.elf bin.hex
	erase bin.elf
	goto END

:ERROR
	pause

:END
